# Uses of Class
org.eclipse.core.databinding.observable.list.ListDiffEntry

Packages that use ListDiffEntry
Package
Description
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.list
Provides classes for observing changes in lists.

## Uses of ListDiffEntry in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable that return ListDiffEntry
Modifier and Type
Method
Description
`static <E> ListDiffEntry<E>`
Diffs.`createListDiffEntry(int position, boolean isAddition, E element)`
Methods in org.eclipse.core.databinding.observable with parameters of type ListDiffEntry
Modifier and Type
Method
Description
`static <E> ListDiff<E>`
Diffs.`createListDiff(ListDiffEntry<E> difference)`
`static <E> ListDiff<E>`
Diffs.`createListDiff(ListDiffEntry<E>... differences)`
Creates a new ListDiff object given its constituent ListDiffEntry objects.
`static <E> ListDiff<E>`
Diffs.`createListDiff(ListDiffEntry<E> difference1, ListDiffEntry<E> difference2)`
Method parameters in org.eclipse.core.databinding.observable with type arguments of type ListDiffEntry
Modifier and Type
Method
Description
`static <E> ListDiff<E>`
Diffs.`createListDiff(List<ListDiffEntry<E>> differences)`
Creates a new ListDiff object given its constituent ListDiffEntry objects.

## Uses of ListDiffEntry in org.eclipse.core.databinding.observable.list

Methods in org.eclipse.core.databinding.observable.list that return ListDiffEntry
Modifier and Type
Method
Description
`abstract ListDiffEntry<E>[]`
ListDiff.`getDifferences()`
Returns a ListDiffEntry array representing the differences in the list, in the order they are to be processed.